DEV: stop checking in Gemfile.lock

DEV: stop checking in Gemfile.lock

It is considered a bad practice to codify test or production dependencies for a gem in Gemfile.lock

At a minimum it leads to a lot of dependbot complaining

Since we would never consider shipping the file and always want tests to work against latest gems (unless we explicitly opt out in gemspec) this is a better pattern

diff --git a/.gitignore b/.gitignore
index 2ae64ef..4508899 100644
--- a/.gitignore
+++ b/.gitignore
@@ -17,5 +17,6 @@ test/version_tmp
 tmp
 *.swp
 .DS_Store
+Gemfile.lock
 
 .rubocop-https---raw-githubusercontent-com-discourse-discourse-master--rubocop-yml
diff --git a/Gemfile.lock b/Gemfile.lock
deleted file mode 100644
index 9e6cdcc..0000000
--- a/Gemfile.lock
+++ /dev/null
@@ -1,154 +0,0 @@
-PATH
-  remote: .
-  specs:
-    onebox (1.9.18)
-      htmlentities (~> 4.3)
-      moneta (~> 1.0)
-      multi_json (~> 1.11)
-      mustache
-      nokogiri (~> 1.7)
-      sanitize
-
-GEM
-  remote: https://rubygems.org/
-  specs:
-    ast (2.4.0)
-    backports (3.12.0)
-    celluloid (0.16.0)
-      timers (~> 4.0.0)
-    coderay (1.1.2)
-    crass (1.0.4)
-    diff-lcs (1.3)
-    fakeweb (1.3.0)
-    faraday (0.9.2)
-      multipart-post (>= 1.2, < 3)
-    ffi (1.10.0)
-    formatador (0.2.5)
-    guard (2.15.0)
-      formatador (>= 0.2.4)
-      listen (>= 2.7, < 4.0)
-      lumberjack (>= 1.0.12, < 2.0)
-      nenv (~> 0.1)
-      notiffany (~> 0.0)
-      pry (>= 0.9.12)
-      shellany (~> 0.0)
-      thor (>= 0.18.1)
-    guard-rspec (4.2.10)
-      guard (~> 2.1)
-      rspec (>= 2.14, < 4.0)
-    haml (4.0.7)
-      tilt
-    hitimes (1.3.1)
-    htmlentities (4.3.4)
-    jaro_winkler (1.5.2)
-    listen (2.10.1)
-      celluloid (~> 0.16.0)
-      rb-fsevent (>= 0.9.3)
-      rb-inotify (>= 0.9)
-    lumberjack (1.0.13)
-    metaclass (0.0.4)
-    method_source (0.9.2)
-    mini_portile2 (2.4.0)
-    mocha (1.8.0)
-      metaclass (~> 0.0.1)
-    moneta (1.1.1)
-    multi_json (1.13.1)
-    multipart-post (2.0.0)
-    mustache (1.1.0)
-    nenv (0.3.0)
-    nokogiri (1.10.4)
-      mini_portile2 (~> 2.4.0)
-    nokogumbo (2.0.1)
-      nokogiri (~> 1.8, >= 1.8.4)
-    notiffany (0.1.1)
-      nenv (~> 0.1)
-      shellany (~> 0.0)
-    parallel (1.14.0)
-    parser (2.6.0.0)
-      ast (~> 2.4.0)
-    powerpack (0.1.2)
-    pry (0.12.2)
-      coderay (~> 1.1.0)
-      method_source (~> 0.9.0)
-    psych (3.1.0)
-    rack (1.6.11)
-    rack-protection (1.5.5)
-      rack
-    rack-test (1.1.0)
-      rack (>= 1.0, < 3)
-    rainbow (3.0.0)
-    rake (10.5.0)
-    rb-fsevent (0.10.3)
-    rb-inotify (0.10.0)
-      ffi (~> 1.0)
-    rspec (3.8.0)
-      rspec-core (~> 3.8.0)
-      rspec-expectations (~> 3.8.0)
-      rspec-mocks (~> 3.8.0)
-    rspec-core (3.8.0)
-      rspec-support (~> 3.8.0)
-    rspec-expectations (3.8.2)
-      diff-lcs (>= 1.2.0, < 2.0)
-      rspec-support (~> 3.8.0)
-    rspec-mocks (3.8.0)
-      diff-lcs (>= 1.2.0, < 2.0)
-      rspec-support (~> 3.8.0)
-    rspec-support (3.8.0)
-    rubocop (0.65.0)
-      jaro_winkler (~> 1.5.1)
-      parallel (~> 1.10)
-      parser (>= 2.5, != 2.5.1.1)
-      powerpack (~> 0.1)
-      psych (>= 3.1.0)
-      rainbow (>= 2.2.2, < 4.0)
-      ruby-progressbar (~> 1.7)
-      unicode-display_width (~> 1.4.0)
-    ruby-progressbar (1.10.0)
-    sanitize (5.1.0)
-      crass (~> 1.0.2)
-      nokogiri (>= 1.8.0)
-      nokogumbo (~> 2.0)
-    shellany (0.0.1)
-    simple_oauth (0.3.1)
-    sinatra (1.4.8)
-      rack (~> 1.5)
-      rack-protection (~> 1.4)
-      tilt (>= 1.3, < 3)
-    sinatra-contrib (1.4.7)
-      backports (>= 2.0)
-      multi_json
-      rack-protection
-      rack-test
-      sinatra (~> 1.4.0)
-      tilt (>= 1.3, < 3)
-    thor (0.20.3)
-    tilt (2.0.9)
-    timers (4.0.4)
-      hitimes
-    twitter (4.8.1)
-      faraday (~> 0.8, < 0.10)
-      multi_json (~> 1.0)
-      simple_oauth (~> 0.2)
-    unicode-display_width (1.4.1)
-
-PLATFORMS
-  ruby
-
-DEPENDENCIES
-  bundler (~> 2.0)
-  fakeweb (~> 1.3)
-  guard-rspec (~> 4.2.8)
-  haml (~> 4.0)
-  listen (~> 2.10.0)
-  mocha (~> 1.1)
-  onebox!
-  pry (~> 0.10)
-  rake (~> 10.4)
-  rspec (~> 3.2)
-  rubocop (~> 0.50)
-  sinatra (~> 1.4)
-  sinatra-contrib (~> 1.4)
-  twitter (~> 4.8)
-
-BUNDLED WITH
-   2.0.1

GitHub sha: ff6744dd